Subject: Re: [BUG] linux-2.6.28-rc3 regression: IRQ smp_affinities not respected

From: Eric Dumazet <[email-masked]>
Date: Wed, 26 Nov 2008 10:01:47 +0100

Eric Dumazet a écrit :
> Michael Chan a écrit :
>> I believe this may be the patch that broke it:
>>
>> http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=ce6fce4295ba727b36fdc73040e444bd1aae64cd 
>>
>>
>> I don't remember all the details, but the Broadcom 5708 chip is
>> affected because it does not support MSI per-vector masking.
>>
>> One way to get around is to disable MSI with bnx2 parameter
>> disable_msi=1.
>>

> 
> I tried this MSI disabling and yes, it now works.
> 
> 16:      42726        128        105        106         89         
> 89        145        152   IO-APIC-fasteoi   uhci_hcd:usb1, eth0, eth1
> 

I believe the bnx2 driver doesnt work at all if !disable_msi (default setting)

Doing a "echo 0 >/sys/devices/system/cpu/cpu1/online" just freeze network

No messages logged

If loaded with disable_msi=1, the cpu unplug works as expected.

Thats a pretty serious issue.